﻿using System.Windows;
using System.Windows.Media.Effects;
using Infragistics.Controls.Interactions;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private static Infragistics.Controls.Interactions.XamDialogWindow CreateWindow()
        {
            Infragistics.Controls.Interactions.XamDialogWindow win = new Infragistics.Controls.Interactions.XamDialogWindow() { Width = 350, Height = 300, StartupPosition = StartupPosition.Center };
            win.ModalBackgroundEffect = new BlurEffect() { Radius = 10 };
            win.IsModal = true;
            return win;
        }

        private void _btn_show_modal1_Click(object sender, RoutedEventArgs e)
        {
            _grid1.Children.Add(CreateWindow());
        }

        private void _btn_show_modal2_Click(object sender, RoutedEventArgs e)
        {
            _grid2.Children.Add(CreateWindow());
        }
    }
}
